package org.ow2.petals.engine.orchestra.jbi;

import org.ow2.orchestra.env.DefaultEnvXMLGenerator;

/**
 * generates a default environment for running orchestra with axis.
 *
 * @author Guillaume Porcher
 */
public class JBIEnvXmlGenerator extends DefaultEnvXMLGenerator {

	public JBIEnvXmlGenerator(String workDir) {
		super();

		String hibernateConfigXml = "";
		hibernateConfigXml += "    <hibernate-session-factory>\n";
		hibernateConfigXml += "      <properties>\n";

		hibernateConfigXml += "           <property name=\"hibernate.dialect\" value=\"org.hibernate.dialect.HSQLDialect\" />\n";
		hibernateConfigXml += "           <property name=\"hibernate.connection.driver_class\" value=\"org.hsqldb.jdbcDriver\" />\n";
		hibernateConfigXml += "           <property name=\"hibernate.connection.url\" value=\"jdbc:hsqldb:file:"+ workDir +";shutdown=true\" />\n";
		hibernateConfigXml += "           <property name=\"hibernate.connection.username\" value=\"sa\" />\n";
		hibernateConfigXml += "           <property name=\"hibernate.connection.password\" value=\"\" />\n";

		hibernateConfigXml += "           <property name=\"hibernate.hbm2ddl.auto\" value=\"update\" />\n";
		hibernateConfigXml += "           <property name=\"hibernate.cache.use_second_level_cache\" value=\"true\" />\n";
		hibernateConfigXml += "           <property name=\"hibernate.cache.provider_class\" value=\"org.hibernate.cache.HashtableCacheProvider\" />\n";
		hibernateConfigXml += "           <property name=\"hibernate.show_sql\" value=\"false\" />\n";
		hibernateConfigXml += "           <property name=\"hibernate.format_sql\" value=\"false\" />\n";
		hibernateConfigXml += "           <property name=\"hibernate.use_sql_comments\" value=\"false\" />\n";
		hibernateConfigXml += "           <property name=\"hibernate.bytecode.use_reflection_optimizer\" value=\"true\" />\n";

		hibernateConfigXml += "      </properties>\n";
		hibernateConfigXml += "      <mappings resource='bpel.hibernate.mappings.xml' />\n";
		hibernateConfigXml += "      <cache-configuration resource='bpel.cache.xml' usage='read-write' />\n";
		hibernateConfigXml += "    </hibernate-session-factory>";
		this.setApplicationEntry("hibernate-session-factory", hibernateConfigXml);




		this.setPublisherType(JBIPublisher.class);
		this.setInvokerType(JBIInvoker.class);
	}

}
